asn1-encoding-0.9.6: ASN1 data reader and writer in RAW, BER and DER forms

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | unknown
Safe Haskell | None
Language | Haskell2010

Data.ASN1.BinaryEncoding

Description

A module containing ASN1 BER and DER specification encoding/decoding.

Synopsis

- data BER = BER
- data DER = DER

# Documentation

data BER Source #

Basic Encoding Rules (BER)

Constructors

BER |

#### Instances

Instances details

ASN1Decoding BER Source # |
Instance details Defined in Data.ASN1.BinaryEncoding Methods decodeASN1 :: BER -> ByteString -> Either ASN1Error [ASN1] Source #
ASN1DecodingRepr BER Source # |
Instance details Defined in Data.ASN1.BinaryEncoding Methods decodeASN1Repr :: BER -> ByteString -> Either ASN1Error [ASN1Repr] Source #

data DER Source #

Distinguished Encoding Rules (DER)

Constructors

DER |

#### Instances

Instances details

ASN1Decoding DER Source # |
Instance details Defined in Data.ASN1.BinaryEncoding Methods decodeASN1 :: DER -> ByteString -> Either ASN1Error [ASN1] Source #
ASN1DecodingRepr DER Source # |
Instance details Defined in Data.ASN1.BinaryEncoding Methods decodeASN1Repr :: DER -> ByteString -> Either ASN1Error [ASN1Repr] Source #
ASN1Encoding DER Source # |
Instance details Defined in Data.ASN1.BinaryEncoding Methods encodeASN1 :: DER -> [ASN1] -> ByteString Source #